local UF =26798  // UF value in 2017
local GDP = 200512*(1000^3)
local GDP2017 = 179749*(1000^3)

use "$path_s1\\Covid_ST_new.dta", clear 
replace pG_Tsum = max(pG_Tsum, pG_T)
sum pG_Tsum  [fw=factor_egm]
local rCT = 12*r(mean)*r(N)/`GDP2017'
display("`rCT'")

use "$path_s1\\Covid_ST_new.dta", clear 
g rPenP = PensionBalance/ytoth_ori   //max(0,CCICO_saldopesos)
sum CCICO_saldopesos df_Vall df3_dna vivprop 
keep if ord==1
g pop=1
collapse (sum) pop (mean) vivprop rPenP df_Vall df3_dna [fw=factor_egm]
g NUMH=0
sum pop
local Pop=r(mean)
save "$path_s1\\data_temp0.dta", replace
use "$path_s1\\Covid_ST_new.dta", clear 
g rPenP = PensionBalance/ytoth_ori
sum CCICO_saldopesos df_Vall df3_dna vivprop 
g NUMH = min(numh,6)
keep if ord==1
g pop=1
collapse (sum) pop (mean) vivprop rPenP df_Vall df3_dna [fw=factor_egm], by(NUMH)
joinby NUMH using "$path_s1\\data_temp0.dta", unmatched(both) update
drop _merge
replace pop=pop/`Pop'
export excel using "$path_g2\Def_Stats.xls", firstrow(variables) nolabel replace

use "$path0\Proyectos\2010_Household Risk\simulation_time\hist_dynamic_un06_11_17.dta", clear
keep if ord==1
g pop=1
collapse (sum) pop (mean) vivprop [fw=factor_egm]
g NUMH=0
sum pop
local Pop=r(mean)
save "$path_s1\\data_temp0.dta", replace
use "$path0\Proyectos\2010_Household Risk\simulation_time\hist_dynamic_un06_11_17.dta", clear
bysort folio: egen NUMH = count(folio)
keep if ord==1
replace NUMH = min(NUMH,6)
tab NUMH numh
g pop=1
collapse (sum) pop (mean) vivprop [fw=factor_egm], by(NUMH)
joinby NUMH using "$path_s1\\data_temp0.dta", unmatched(both) update
drop _merge
replace pop=pop/`Pop'
export excel using "$path_g2\PopNr_Stats.xls", firstrow(variables) nolabel replace

use "$path_s1\\Covid_ST_new.dta", clear  // educ_ecf edad num* estrato_h quintile_h   Hing_inf c1
keep if year_efh==2017
tab year_efh
g ytoth_UF = ytoth_ori/`UF'  
g ytoth_pi_UF = ytoth_pi_o/`UF'     //  max(ytoth_pi_o, ytoth_pi_0 )
g pop=1
foreach pq of numlist 25 50 75 { 
g P`pq'_ytoth_UF = ytoth_UF
g P`pq'_ytoth_pi_UF = ytoth_pi_UF
}
collapse (sum) pop (mean) edad y*_UF (p25) P25* (p50) P50* (p75) P75* [fw=factor_egm]
sum pop
local Pop=r(mean)
g educ_ecf = 0
save "$path_s1\\data_temp0.dta", replace
use "$path_s1\\Covid_ST_new.dta", clear  
g ytoth_UF = ytoth_ori/`UF'  
g ytoth_pi_UF = ytoth_pi_o/`UF'
foreach pq of numlist 25 50 75 { 
g P`pq'_ytoth_UF = ytoth_UF
g P`pq'_ytoth_pi_UF = ytoth_pi_UF
}
g pop=1
collapse (sum) pop (mean) edad y*_UF (p25) P25* (p50) P50* (p75) P75* [fw=factor_egm], by(educ_ecf)
replace pop=pop/`Pop'
joinby educ_ecf using "$path_s1\\data_temp0.dta", unmatched(both) update
tab _merge
drop _merge
order educ_ecf pop edad P*_ytoth_UF P*_*pi_UF, first
export excel using "$path_g2\Descriptive_Stats.xls", firstrow(variables) nolabel replace
