use "$path_s0\do_EFH_only\EFH_ECF_all.dta", clear
keep folio_efh year_efh otp dhip_otp deuda_hip_otp1 act_tot_otp1 deuda_hip_OTP act_tot_OTP vivprop deuda_hip_vp deuda_cons_banco d_dt
egen cyaotp = rowmax(otp dhip_otp deuda_hip_otp1 deuda_hip_OTP)   // act_tot_otp1 act_tot_OTP
replace cyaotp =(cyaotp>0 & cyaotp<.) 
save "$path_s0\do_EFH_only\EFH_viv_otp.dta", replace

use "$path_s0\do_EFH_only\ytoth_riot.dta", clear
keep folio_efh year_efh ytoth ytoth_pi
save "$path_s0\do_EFH_only\ytoth.dta", replace
use "$path_s0\do_EFH_only\ytoth_dtbc2.dta", clear
keep folio_efh year_efh ytoth ytoth_pi
rename ytoth ytoth_0
rename ytoth_pi ytoth_pi_0
joinby folio_efh year_efh using "$path_s0\do_EFH_only\ytoth.dta", unmatched(both) update
sum
replace ytoth_pi = min( exp(ytoth_pi), exp(ytoth_pi_0))
replace ytoth = min( ytoth, ytoth_0)
drop ytoth_0 ytoth_pi_0 _merge
rename ytoth ytoth_0
rename ytoth_pi ytoth_pi_0
save "$path_s0\do_EFH_only\ytoth.dta", replace


use "$path_s0\do_EFH_only\Covid_ST.dta", clear
joinby folio_efh year_efh using "$path_s0\do_EFH_only\efh_unemp_all_hh.dta", unmatched(both) update
tab _merge
drop _merge
joinby folio_efh year_efh using "$path_s0\do_EFH_only\EFH_viv_otp.dta", unmatched(both) update
tab _merge
drop _merge
sum retiro10P Hretiro10P if a1==1, d
capture drop retiro10P Hretiro10P
joinby folio_efh year_efh using "$path_s0\do_EFH_only\efh_AFP.dta", unmatched(both) update
tab _merge
drop _merge
rename retiro10P retiro10P_vs0
rename Hretiro10P Hretiro10P_vs0
rename ymR10 ymR10_vs0
joinby folio_efh year_efh using "$path_s0\do_EFH_only\efh_AFP_123.dta", unmatched(both) update
tab _merge
drop _merge
g ymR10 = max(0,(1/12)*Hretiro10P)
/*g ymR10 = max(0,(1/12)*Hretiro10P) if R_COV_loss>=0.50  // Assume households spend through an entire year
replace ymR10 = max(0,(1/18)*Hretiro10P) if R_COV_loss>=0.25 & R_COV_loss<0.50
replace ymR10 = max(0,(1/24)*Hretiro10P) if R_COV_loss>=0.05 & R_COV_loss<0.25
replace ymR10 = max(0,(1/36)*Hretiro10P) if R_COV_loss>=0.01 & R_COV_loss<0.05
replace ymR10 = max(0,(1/48)*Hretiro10P) if R_COV_loss<0.01*/
forv k=2/3 {
g ymR10P`k' = 0.90*max(0,(1/12)*Hretiro10P`k') 
/*g ymR10P`k' = 0.90*max(0,(1/12)*Hretiro10P`k') if R_COV_loss>=0.50  // Assume households spend through an entire year
replace ymR10P`k' = 0.80*max(0,(1/18)*Hretiro10P`k') if R_COV_loss>=0.25 & R_COV_loss<0.50
replace ymR10P`k' = 0.60*max(0,(1/24)*Hretiro10P`k') if R_COV_loss>=0.05 & R_COV_loss<0.25
replace ymR10P`k' = 0.40*max(0,(1/36)*Hretiro10P`k') if R_COV_loss>=0.01 & R_COV_loss<0.05
replace ymR10P`k' = 0.20*max(0,(1/48)*Hretiro10P`k') if R_COV_loss<0.01*/
} 
sum retiro10P retiro10P_vs0 Hretiro10P Hretiro10P_vs0 ymR10 ymR10_vs0
pwcorr retiro10P retiro10P_vs0 Hretiro10P Hretiro10P_vs0 ymR10 ymR10_vs0 // same as before
drop retiro10P_vs0 Hretiro10P_vs0 ymR10_vs0
sum ymR10 ymR10P2 ymR10P3
sum retiro10P Hretiro10P if a1==1, d
capture drop factor_debt
g dhip_vp=max(0,deuda_hip_vp)
replace dhip_otp=max(0,dhip_otp, deuda_hip_OTP)
g dhip=max(0,dhip_vp)+max(0,dhip_otp)
replace desem=max(desem,UNEMP)   //g desem = UNEMP
g desem_h = UNEMP_h
replace desem_h=max(desem,desem_h) if a1==1
replace desem=0 if desem==.
replace desem_h=0 if desem_h==.
drop if year_efh>=2008 & year_efh<=2009  // no information on pensions for these years
g edad5y = ceil(min(80,edad)/5)
sum year_efh vivprop cyaotp desem desem_h edad5y educ_ecf constant UF* num_men num_adult num_sen if a1==1  // g constant=1 ln_ytoth ln_ytoth_pi cyaotp 
sum year_efh To* if a1==1
g ytoth_pi_original = max(1000, ytoth_pi + max(0,COV_loss)) 
g ytoth_original = max(1000, ytoth + max(0,COV_loss)) 
replace ytoth_original = max(1000, ytoth_original - max(0,TotBinc) ) if TotBinc>0 & TotBinc<.

joinby folio_efh year_efh using "$path_s0\do_EFH_only\ytoth.dta", unmatched(master) update
tab _merge
drop _merge
replace ytoth_pi_original = min(ytoth_pi_original, ytoth_pi_0)
replace ytoth_original = min(ytoth_original, ytoth_0)

/*foreach var of varlist ytoth ytoth_pi yefec ytotef { // ytot_p_h ytotef yefec
replace `var' = `var' + max(0,LMG) if LMG>0 & LMG<.
replace `var' = max(1000, `var' - max(0,COV_loss)) if COV_loss>0 & COV_loss<.
} 
//  Now change income
replace ing = max(ing, ln( exp(ing) + max(0,TotBinc) )) if TotBinc>0 & TotBinc<.
foreach var of varlist ytoth yefec ytotef { // ytot_p_h ytotef yefec
replace `var' = `var' + max(0,TotBinc) if TotBinc>0 & TotBinc<.
}*/
sum ytoth_pi_original ytoth_original ytot_p_h
replace ytoth_pi_original= max(ytoth_pi,ytot_p_h)
keep if a1==1
keep if year_efh==2017
sum ytoth_original ytoth_pi_original
g ln_ytoth = ln(ytoth_original)
g ln_ytoth_pi = ln(ytoth_pi_original)
sum ln_ytoth ln_ytoth_pi

joinby edad5y educ_ecf num_men num_adult num_sen vivprop otp using "$path_s0\\data_EPF\2017\pctiles1_cons_05_95.dta", unmatched(master) update
tab _merge
drop _merge
joinby edad5y educ_ecf numh using "$path_s0\\data_EPF\2017\pctiles2_cons_05_95.dta", unmatched(master) update
tab _merge
drop _merge
joinby edad5y educ_ecf using "$path_s0\\data_EPF\2017\pctiles3_cons_05_95.dta", unmatched(master) update
tab _merge
drop _merge
replace TotBinc = TotBinc*UFe  // change back from UF to pesos
replace ToTBcf = ToTBcf*UFe
replace TotBall = TotBall*UFe
rename Bservb Bservb0     // https://energia.gob.cl/noticias/libertador-general-bernardo-ohiggins/seremi-de-energia-destaca-medidas-solidarias-en-pago-de-servicios-basicos-anunciados-por-el-presidente-pinera
g Bservb = min(0.19*ytot_p_h , 95000,  (10*26798+12*10000+2*15000)/12 ) if quintile_h<=2
replace Bservb = 0 if Bservb==.
sum Bservb Bservb0
sum TotBinc TincB
replace TincB = max(0,SUF) + max(0,COV_LPE)  + max(0,Bservb) + max(0,IFE) + max(0,BCmedia)
replace TotBinc = max(0,IFE)+max(0,SUF)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+max(0,pCmedia)+max(0,ymR10)
sum TotBinc TincB
// Now impute consumption based on EPF 2017
quietly {
tab edad5y, g(edad_D)
tab educ_ecf, g(educ_ecf_D)
local vars1 "ln_ytoth ln_ytoth_pi vivprop cyaotp desem desem_h num_men num_adult num_sen"  // otp in EFH is value
forvalues s = 1/13 { 
local vars1 "`vars1' edad_D`s'"
} 
forvalues s = 1/5 { 
local vars1 "`vars1' educ_ecf_D`s'"
}  
local vars1 "`vars1' constant"
g pG_T = 0
matrix define Abc55 = bG
local kmax0=colsof(Abc55)
forv coef_nr=1/`kmax0' {
local coefv = Abc55[1,`coef_nr']
local name_varx = word("`vars1'", `coef_nr')
replace pG_T = pG_T+`name_varx'*`coefv'
}
replace pG_T = exp(pG_T)
replace pG_T = max(p05_GASTOT, min(p95_GASTOT,pG_T) )
replace pG_T = . if a1!=1
forvalues x = 1/12 { 
g pG_D`x' = 0
matrix define Abc55 = bG`x'
local kmax0=colsof(Abc55)
forv coef_nr=1/`kmax0' {
local coefv = Abc55[1,`coef_nr']
local name_varx = word("`vars1'", `coef_nr')
replace pG_D`x' = pG_D`x'+`name_varx'*`coefv'
}
replace pG_D`x' = exp(pG_D`x')
replace pG_D`x' = max(p05_GASTO_D`x', min(p95_GASTO_D`x',pG_D`x') )
replace pG_D`x' = . if a1!=1
}
egen pG_Tsum = rowtotal(pG_D*)
capture drop edad_D* educ_ecf_D* constant
}
save "$path_s1\\Covid_ST_new.dta", replace
