local LabST = 135 
local Min2020 = 3
local Max2020 = 12
local Min2021 = 1
local Max2021 = 3
local dfVars "unemployed"    // layoffs jobfind hor_efe   //local dfVars0 "hor_hab hor_efe"
local var_list "tr_edad educ sexo"
//https://www.chileatiende.gob.cl/fichas/78385-ingreso-familiar-de-emergencia
//https://energia.gob.cl/noticias/libertador-general-bernardo-ohiggins/seremi-de-energia-destaca-medidas-solidarias-en-pago-de-servicios-basicos-anunciados-por-el-presidente-pinera
//https://www.chileatiende.gob.cl/fichas/81027-retiros-del-10-de-los-fondos-de-afp
//https://www.chileatiende.gob.cl/fichas/94077-ingreso-familiar-de-emergencia-ife-universal

clear
import excel "$path_gCJE\LPE_employment.xlsx", sheet("Hoja1") firstrow
rename year year_p
rename month month_p
save "$path_gCJE\LPE_employment.dta", replace
use "$path_s1\\Covid_ST_new.dta", clear  // Now impute consumption based on EPF 2017  // local Scs "CovMit CovNoMit CovR10"
keep folio_efh year_efh factor_all ln_ytoth ytoth_original COV_loss
save "$path_s1\\EFH_vars.dta", replace

use "$path_gCJE\eneCS_all.dta", clear
drop if edad<=15
drop if edad>=65  
tab Labor_Force labor_force_p
keep if Labor_Force==1 & labor_force_p==1
bysort tr_edad: sum edad
collapse unemployed [fw=factor_esi], by(year mes_encuesta tr_edad educ sexo)
g date = ym(year,mes_encuesta) 
format %tm date
tab date if date==716
drop if date<716
g var0 = unemployed if date==716
bysort tr_edad educ sexo: egen var00 = mean(var0)
g D_unemployed = max(0, unemployed-var00) 
rename year year_p
rename mes_e month_p
keep D_unemployed tr_edad educ sexo year_p month_p
save "$path_gCJE\SE_Covid_perLabM0.dta", replace

use "$path_s0\do_EFH_only\Covid_ST.dta", clear     //quietly g d_pr_jobfind_135 = (135/100)*d_pr_jobfind_100
keep if year_efh==2017
sum Informal_T ytoth ytoth_pi if ytot_ind>0 & ytot_ind <. & desem<. [fw=factor_egm]
capture drop tr_edad
replace ytoth_pi = exp(ytoth_pi)
replace ytoth_pi = ytoth if ytoth_pi==0 |  ytoth_pi==.
g tr_edad = edad
recode tr_edad 16/24=1 25/34=2 35/44=3 45/54=4 54/65=5
capture drop LMG*
g LMGi = max(0,min(384363-ytot_ind, 59200)) if c10>=1 & c10<=2 // ytot_ind>=250000 & ytot_ind<=384363 & // 45.353 or 59200 Ingreso Mínimo Garantizad
bysort folio_efh year_efh: egen LMG=max(LMGi)
replace ytot_ind = ytot_ind + max(0,LMGi)
replace ytoth = ytoth + max(0,LMG)
replace ytoth_pi = ytoth_pi + max(0,LMG)  // g TotBinc = max(0,IFE)+max(0,SUF)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+max(0,pCmedia)+max(0,ymR10)
joinby folio_efh year_efh using "$path_s1\EFH_vars.dta", unmatched(both) update
tab _merge
drop _merge
sum ytoth ytoth_original
replace ytoth = min(ytoth,ytoth_original)
sum ytoth ytoth_original
pwcorr ytoth ytoth_original
bysort folio_efh year_efh: egen desem_h=max(desem) //g Bservb = min(0.19*ytot_p_h , 95000)  // g TincB = max(0,SUF) + max(0,COV_LPE)  + max(0,Bservb) + max(0,IFE) + max(0,BCmedia)
rename Bservb Bservb0     // https://energia.gob.cl/noticias/libertador-general-bernardo-ohiggins/seremi-de-energia-destaca-medidas-solidarias-en-pago-de-servicios-basicos-anunciados-por-el-presidente-pinera
g Bservb = min(0.19*ytot_p_h , 95000,  (10*26798+12*10000+2*15000)/12 ) if quintile_h<=2
replace Bservb = 0 if Bservb==.
sum Bservb Bservb0
sum TotBinc TincB
replace TincB = max(0,SUF) + max(0,COV_LPE)  + max(0,Bservb) + max(0,IFE) + max(0,BCmedia)
replace TotBinc = max(0,IFE)+max(0,SUF)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+max(0,pCmedia)+max(0,ymR10)
sum TotBinc TincB

joinby folio_efh year_efh using "$path_gCJE\Covid_policies2020.dta", unmatched(master) update 
tab _merge
sum IFE0_JJA-IFE_JJA   // g FI=ceil(factor_egm*max(1,ytot_p_h)/UFe)
sum IFE_MA IFE_May IFE_JJA  // March-April, May, June-July-August
drop _merge
g ToTBcf0 = max(0,Bpcuotas) + max(0,BmprSTax) + max(0,BImpTE) 
g extraD0 = 3*Bpcuotas   
g extraDcons0 = 3*( max(0,cf_td5)+max(0,cf_td6) )
sum ToTBcf0 extraD0 extraDcons0 ToTBcf extraD extraDcons
replace ToTBcf = max(0,Bpcuotas) //+ max(0,BmprSTax) + max(0,BImpTE)
drop ToTBcf0 extraD0 extraDcons0 ymR10 //https://www.chileatiende.gob.cl/fichas/81027-retiros-del-10-de-los-fondos-de-afp
joinby folio_efh year_efh using "$path_s0\do_EFH_only\efh_AFP_123.dta", unmatched(both) update
tab _merge
g ymR10 = max(0,(1/12)*Hretiro10P)
/*g ymR10 = max(0,(1/12)*Hretiro10P) if R_COV_loss>=0.50  // Assume households spend through an entire year
replace ymR10 = max(0,(1/18)*Hretiro10P) if R_COV_loss>=0.25 & R_COV_loss<0.50
replace ymR10 = max(0,(1/24)*Hretiro10P) if R_COV_loss>=0.05 & R_COV_loss<0.25
replace ymR10 = max(0,(1/36)*Hretiro10P) if R_COV_loss>=0.01 & R_COV_loss<0.05
replace ymR10 = max(0,(1/48)*Hretiro10P) if R_COV_loss<0.01*/
forv k=2/3 {
g ymR10P`k' = 0.90*max(0,(1/12)*Hretiro10P`k') 
/*g ymR10P`k' = 0.90*max(0,(1/12)*Hretiro10P`k') if R_COV_loss>=0.50  // Assume households spend through an entire year
replace ymR10P`k' = 0.80*max(0,(1/18)*Hretiro10P`k') if R_COV_loss>=0.25 & R_COV_loss<0.50
replace ymR10P`k' = 0.60*max(0,(1/24)*Hretiro10P`k') if R_COV_loss>=0.05 & R_COV_loss<0.25
replace ymR10P`k' = 0.40*max(0,(1/36)*Hretiro10P`k') if R_COV_loss>=0.01 & R_COV_loss<0.05
replace ymR10P`k' = 0.20*max(0,(1/48)*Hretiro10P`k') if R_COV_loss<0.01*/
} 
drop _merge

local IFE_2020m3 "IFE_MA"  // (1/2)*
local IFE_2020m4 "IFE_MA"   // (1/2)*
local IFE_2020m5 "IFE_May"
forv mp = 6/12 {
local IFE_2020m`mp' "(4/7)*IFE_JJA"     // (2/3)*
}
forv mp = 1/3 {
local IFE_2021m`mp' "(1/3)*IFE_JJA"    // (2/3)*
}  // replace extraD = max(0,extraD) + max(0,pCmedia)  // August 2020 or later
/*  g TincB = max(0,SUF) + max(0,COV_LPE)  + max(0,Bservb) + max(0,IFE) + max(0,BCmedia)// Total Income and Financial Charge Benefits
g TtaxMPR = max(0,BContr) + max(0,BT) + max(0,BmprSTax) + max(0,BImpTE) 
g ToTBcf = max(0,Bpcuotas)  // + max(0,BImpTE) + max(0,pCmedia)+ max(0,ymR10)
g ToTBcf_2 = max(0,Bpcuotas)+ max(0,pCmedia)+ max(0,ymR10)  // + max(0,BImpTE) 
g TotBinc = max(0,IFE)+max(0,SUF)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+max(0,pCmedia)+max(0,ymR10) //+max(0,BImpTE)+max(0,Bpcuotas)
g TotBall = max(0,TincB)+max(0,TtaxMPR)+max(0,ToTBcf)
g TotBinc_JuneJulyAugust = max(0,IFE_JJA)+max(0,COV_LPE)+max(0,BT)+max(0,BContr)+max(0,Bservb)+max(0,BCmedia)+ max(0,pCmedia/3) //+max(0,ymR10)  */
g PolBeg = (1/2)*( max(0,BT)+max(0,BContr)+max(0,Bservb) )
g PolBeg2 = max(0,PolBeg)+ max(0,BmprSTax)+max(0,BImpTE)    // `Bcm_`yp'm`mp''
g TincB2 = max(0,SUF) + max(0,IFE) + max(0,COV_LPE) + PolBeg2  + (3/5)*(max(0,BCmedia))    //max(0,TincB)+max(0,TtaxMPR)+max(0,ToTBcf)
sum PolBeg PolBeg2 ToTBcf TincB TtaxMPR ymR10 ymR10P2
forv mp = 3/7 {
local Bcm1_2020m`mp' "0"   
local Bcm0_2020m`mp' "0"   
local Bcm_2020m`mp' "0"   
local psii_2020m`mp' ""   
local R1_2020m`mp' ""   
local R2_2020m`mp' ""   
}
forv mp = 8/12 {
local Bcm1_2020m`mp' "(3/5)*((1/2)*(2/3)*max(0,pCmedia))"    
local Bcm0_2020m`mp' "(3/5)*max(0,BCmedia)"    
local Bcm_2020m`mp' "(3/5)*(max(0,BCmedia)+(1/2)*(2/3)*max(0,pCmedia))"    // (3/5)  (3/8)
local psii_2020m`mp' "+ (3/5)*((1/2)*(2/3)*max(0,pCmedia))" 
local R1_2020m`mp' "+max(0,ymR10)"   
local R2_2020m`mp' ""      
}
local R2_2020m12 "+max(0,ymR10P2)"   
forv mp = 1/3 {
local Bcm1_2021m`mp' "0"
local Bcm0_2021m`mp' "0"
local Bcm_2021m`mp' "0"
local psii_2021m`mp' ""   
local R1_2021m`mp' "+max(0,ymR10)"   
local R2_2021m`mp' "+max(0,ymR10P2)" 
}
quietly {   // Mid March stress test
forv yp = 2020/2021 {
forv mp = `Min`yp''/`Max`yp'' {
capture drop D_unemployed d_unemployed_Cov dur_unem
capture drop month_p
capture drop year_p
capture drop Covi_*
capture drop COVi_* 
capture drop COV2*
capture drop COV*
capture drop unemployed
capture drop suspendidos- reduccion_sh

g month_p=`mp'
g year_p=`yp'
joinby year_p month_p using "$path_gCJE\LPE_employment.dta", unmatched(master) update
tab _merge
drop _merge

g COVi_sh = uniform() if c10>=1 & c10<=2 & ytot_ind>=250000 & ytot_ind<.  // Workers with plant closed
replace COVi_sh = (COVi_sh<1.4*suspendidos_sh) if COVi_sh<.  
g COV2i_sh = uniform() if COVi_sh==0  // Workers on 50% hour schedule
replace COV2i_sh = (COV2i_sh<1.4*reduccion_sh) if COV2i_sh<.   

joinby year_p month_p sexo tr_edad educ using "$path_gCJE\SE_Covid_perLabM0.dta", unmatched(master) update   // SE_Covid_perLabM.dta
g d_unemployed_Cov = max(d_unemployed_85, D_unemployed)  // d_unemployed //replace pr_jobfind_85 = min(pr_jobfind_85, ES_jobfind)
drop _merge  //`dfVars'

g Covi_un = uniform() if LFP==1 & ytot_ind>=150000  & c10<. & COVi_sh!=1 & COV2i_sh!=1 // c10<1 &
replace Covi_un = uniform() if LFP==1 & ytot_ind>=150000 & edad>=16 & edad<=64 & COVi_sh!=1 & COV2i_sh!=1 
replace Covi_un = (Covi_un<d_unemployed_Cov) if Covi_un<.
g dur_unem = .  // Unemployment duration
forv d=1/3 {
g dur_unem0 = uniform() if COVi_sh==1 | Covi_un==1
replace dur_unem = `d' if dur_unem0<pr_jobfind_`LabST' & dur_unem==. & (COVi_sh==1  | Covi_un==1)
drop dur_unem0
}
replace dur_unem = 4 if dur_unem==. & (COVi_sh==1  | Covi_un==1)
g COVi_loss = ytot_ind*0.40 if dur_unem==1 // 40% income
replace COVi_loss = ytot_ind*0.50 if dur_unem==2 
replace COVi_loss = ytot_ind*0.67 if dur_unem==3 
replace COVi_loss = ytot_ind*0.82 if dur_unem==4  //replace COVi_loss = dur_unem*COVi_loss if dur_unem>=2 & dur_unem<=4 & (COVi_sh==1  | Covi_un==1)
replace COVi_loss = ytot_ind*0.30 if COV2i_sh==1  //replace COVi_loss = dur_unem*COVi_loss if COVi_sh==1 & dur_unem>=2 & dur_unem<=4
g COVi_loss2 = max(0,COVi_loss)*min(1,dur_unem)/4
bysort folio_efh year_efh: egen COV_loss=total(COVi_loss)
bysort folio_efh year_efh: egen COV_loss2=total(COVi_loss2)
bysort folio_efh year_efh: egen Covi_un_h = max(Covi_un)

// Ley de Protección de Empleo
g COVi_loss3 = min(COVi_loss, ytot_ind*0.40) if COVi_sh==1  //& dur_unem>=2 & dur_unem<=4
replace COVi_loss3 = min(COVi_loss, ytot_ind*0.30) if COVi_sh==2 
bysort folio_efh year_efh: egen COV_LPE=total(COVi_loss3) 
replace COV_LPE = max(0,COV_LPE)
g IFE_`yp'm`mp' = `IFE_`yp'm`mp''
g Bcm_`yp'm`mp' = `Bcm_`yp'm`mp''
g Bcm0_`yp'm`mp' = `Bcm0_`yp'm`mp''
g Bcm1_`yp'm`mp' = `Bcm1_`yp'm`mp''
g TotBinc_`yp'm`mp' = max(0, `IFE_`yp'm`mp'') + max(0,COV_LPE) + max(0,PolBeg2) + `Bcm_`yp'm`mp''

rename COV_LPE LPE_`yp'm`mp'
g ln_ytoth_`yp'm`mp' = max(0, ln( ytoth - COV_loss) )    // ln_ytoth ln_ytoth_pi desem desem_h
g ln_ytoth_pi_`yp'm`mp' = max(0, ln( ytoth_pi - COV_loss2) )
g desem_`yp'm`mp' = max(desem, Covi_un)
g desem_h_`yp'm`mp' = max(desem_h, Covi_un_h)

// No policy	Income, Tax, MPR & Expenses	  Debt policy before August  All debt policies	All policies
* _CovNoMit "No policies"   _CovMit_TincB "Income and expenses"   _CovMit_TtaxMPR "Tax and MPR" 
* _CovMit_ToTBcf "Debt policies before August" _CovMit_ToTBcf_pSII_R10 "All debt policies" _CovR10 "All policies"

// No policy  `Mit'==0  local vn "CovNoMit"
g ln_ytoth_M0_`yp'm`mp' = ln_ytoth_`yp'm`mp'
g ln_ytoth_pi_M0_`yp'm`mp' = ln_ytoth_pi_`yp'm`mp'  
g desem_M0_`yp'm`mp' = max(desem_`yp'm`mp', COVi_sh, COV2i_sh)
g desem_h_M0_`yp'm`mp' = max(desem_h_`yp'm`mp', COVi_sh, COV2i_sh)

// Income, Tax, MPR & Expenses	`Mit'==2+`Mit'==3    local vn "CovMit_TincB"+local vn "CovMit_TtaxMPR"
g ln_ytoth_M2_`yp'm`mp' = max(1, ln( exp(ln_ytoth_`yp'm`mp')+max(0,TotBinc_`yp'm`mp') ) )

// Income, Tax, MPR & Expenses	plus Debt policies before August  `Mit'==1   local vn "CovMit" 
g ln_ytoth_M1_`yp'm`mp' = max(1, ln( exp(ln_ytoth_`yp'm`mp')+max(0,TotBinc_`yp'm`mp')+ (3/5)*(1/2)*max(0,ToTBcf) ) )

// Debt deferral policies only  //`Mit'==4  local vn "CovMit_ToTBcf"
g ln_ytoth_M4_`yp'm`mp' = max(1, ln( exp(ln_ytoth_`yp'm`mp') + (3/5)*(1/2)*max(0,ToTBcf) ) )

// All debt policies only `Mit'==5  local vn "CovMit_ToTBcf_pSII_R10"  (also has préstamo SII) 
g ln_ytoth_M5_`yp'm`mp' = max(1, ln( exp(ln_ytoth_`yp'm`mp') + (3/5)*(1/2)*max(0,ToTBcf) `R1_`yp'm`mp'' `R2_`yp'm`mp'' `psii_`yp'm`mp'' ) )

// All policies except Retiro10  // `Mit'==8    local vn "CovNoR10"   
*g ln_ytoth_M8_`yp'm`mp' = ln_ytoth_M1_`yp'm`mp'   // now it is the same as `Mit'==1   

// With Retiro10 only // `Mit'==7   local vn "CovR10only" 
g ln_ytoth_M7_`yp'm`mp' = max(1, ln( exp(ln_ytoth_`yp'm`mp') `R1_`yp'm`mp'' `R2_`yp'm`mp'' ) )

// All policies (including Retiro 10)  `Mit'==6  local vn "CovR10" 
g ln_ytoth_M6_`yp'm`mp' = max(1, ln( exp(ln_ytoth_M1_`yp'm`mp') `R1_`yp'm`mp'' `R2_`yp'm`mp''  ) )    // `psii_`yp'm`mp''

}
}
}
keep if a1==1   // M now has 0, 1, 2, 4, 5, 6, 7  (3 and 8 were eliminated)
keep folio_efh year_efh LPE_2020m3-ln_ytoth_M6_2021m3 IFE_* Bcm_* Bcm0_* Bcm1_* TotBinc_*  // PolBeg PolBeg2 
drop month_p-COVi_loss3
compress
save "$path_gCJE\Covid_policies_monthly.dta", replace
describe, short
