// Graphs  
local vn7 "CovR10only"        
local vn6 "CovR10"   
local vn2 "CovMit_TincB"   
local vn4 "CovMit_ToTBcf"   
local vn5 "CovMit_ToTBcf_pSII_R10"     
local vn1 "CovMit"     
local vn0 "CovNoMit"  
local Tr_cons = "Consumption"
local Tr_cf = "Debt Service"
local Tr_sav = "Savings"  
local Tvars1 "LPE_ ln_ytoth_ ln_ytoth_pi_ desem_ desem_h_"
local Tvars2 "ln_ytoth_M0_ ln_ytoth_pi_M0_ desem_M0_ desem_h_M0_"
local Tvars3 "ln_ytoth_M2_ ln_ytoth_M1_ ln_ytoth_M4_ ln_ytoth_M5_ ln_ytoth_M7_ ln_ytoth_M6_"
local pGc = "pG_Tsum" // "pG_Tsum" "pG_HTM"
local name "_Annual"  //foreach name in "" "_Annual" {

use "$path_s1\\Covid_ST_new`name'${Phop}.dta", clear
sum cf_dt cf_dtot d_dt d_dtot
sum cf_dna cf_dnac d_dna
sum d_chhip d_tothip //div_chhip div_tothip 
foreach var of varlist cf_dt cf_dtot d_dt d_dtot cf_dna cf_dnac d_dna d_chhip d_tothip {
capture rename `var' `var'_vs0
}
joinby folio_efh year_efh using "$path_s0\\data\\EFH_17_debts.dta", unmatched(master) update
tab _merge
foreach var of varlist cf_dt cf_dtot d_dt d_dtot cf_dna cf_dnac d_dna d_chhip d_tothip {
replace `var' = max(0, `var', `var'_vs0)
drop `var'_vs0
}
drop _merge

sum quintile_h
xtile decile_h = ytot_p_h [fw=factor_all], nq(10)  // ing ytoth ytot_p_h
replace decile_h = 1 if decile_h==.
bysort quintile_h: tab decile_h
pwcorr quintile_h decile_h
forv vn=1/9 { 
replace cf_td`vn'=max(cf_td`vn', cf_`vn')  //replace d_td`vn'=max(d_td`vn', d_`vn')
}
egen cf_DNA=rowtotal(cf_td1 cf_td2 cf_td3 cf_td4 cf_td5 cf_td6 cf_td7 cf_td8 cf_td9)
egen d_DNA=rowtotal(d_td1 d_td2 d_td3 d_td4 d_td5 d_td6 d_td7 d_td8 cf_td9)
sum cf_DNA cf_dna d_DNA d_dna
pwcorr cf_DNA cf_dna d_DNA d_dna
replace cf_dna = max(cf_DNA, cf_dna)
replace d_dna = max(d_DNA, d_dna, cf_dna)
sum cf_dna d_dna

sum cf_dt cf_dna cf_hip d_dt d_dna dhip dhip_vp dhip_otp
g d_hip=max(0,d_dt-max(0,d_dna), dhip, max(0,dhip_vp)+max(0,dhip_otp), d_chhip, d_tothip )
egen cf_dTot = rowtotal(cf_dna cf_hip)
egen d_dTot = rowtotal(d_dna d_hip)
replace cf_dTot = max(0, cf_dTot, cf_dt,  cf_dtot) //rci_pend_75*max(0,yefec),
replace d_dTot = max(0, d_dTot, d_dt, d_dtot)

g debtor = (d_dTot>0 & d_dTot<.)
sum cf_dna cf_dt cf_hip d_dna d_dt d_hip dhi*
g d_0 = d_dTot if d_dTot>0 & d_dTot<.
g cf_0 = cf_dTot if cf_dTot>0 & cf_dTot<.
bysort edad5y educ_ecf vivprop otp: egen d_p95 = pctile(d_0), p(95) // numh
bysort edad5y educ_ecf vivprop otp: egen cf_p95 = pctile(cf_0), p(95) 
*replace d_dTot = min(d_dTot,d_p95) if d_dTot>0 & d_dTot<.
*replace cf_dTot = min(cf_dTot,cf_p95) if cf_dTot>0 & cf_dTot<.
g factor_debt = ceil(factor_all*d_dTot/(10*28671) )
drop d_0 cf_0
keep folio_efh year_efh facto* quintile_h ytoth_original debtor cf_dTot d_dTot d_hip cf_dna d_dna pG_T-pG_Tsum pG_T_CovNoMit-pG_HTM_CovR10only 
save "$path_s1\\Covid_ST_new_outputs.dta", replace

use "$path_s1\\Covid_ST_new.dta", clear  // Now impute consumption based on EPF 2017  // local Scs "CovMit CovNoMit CovR10"
keep folio_efh year_efh 
joinby folio_efh year_efh using "$path_gCJE\Covid_policies_monthly.dta", unmatched(both) update
tab _merge
drop _merge
char _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
reshape long `Tvars1' `Tvars2' `Tvars3', i(folio_efh year_efh) j(YearM) string
foreach Mit of numlist 0/2 4/7 { 
g ytoth_M`Mit' = max(0, exp(ln_ytoth_M`Mit'_) )  
g dif0_M`Mit' = ytoth_M`Mit'-ytoth_M0
g Rdif0_M`Mit' = dif0_M`Mit'/ytoth_M0
}
joinby folio_efh year_efh using "$path_s1\Covid_ST_new_outputs.dta", unmatched(both) update
tab _merge
keep if _merge==3
drop _merge
foreach Mit of numlist 0/2 4/7 {  //sum folio_efh if ytoth_M`Mit'<ytoth_M0
local vn = "`vn`Mit''"
g cf_`vn' = max(0, min(cf_dTot, ytoth_M`Mit'-`pGc'_`vn' ) )  
g savings_`vn' = ytoth_M`Mit'-`pGc'_`vn'-max(cf_dTot,cf_`vn')
g r_cons_`vn' = (`pGc'_`vn'-`pGc'_`vn0') / dif0_M`Mit'
g r_cf_`vn' = max(0, (cf_`vn'-cf_`vn0')) / dif0_M`Mit'
g r_sav_`vn' = max(0,(savings_`vn'-savings_`vn0')) / dif0_M`Mit'
} 
collapse (mean) ytoth_M* ytoth_original r_*, by(folio_efh year_efh factor_all quintile_h)
sum ytoth_original, d
g factor_inc = ceil(factor_all*ytoth_original/r(p5))
save "$path_s1\\Covid_ST_new_outputs.dta", replace
local xm0 = 0.0
local xm1 = 1.00
foreach yv in "r_cons" "r_cf" "r_sav" {  //local yv = "r_consD"  // "RG_Tsum"
local xACo0 = "[fw=factor_all], bw(0.0067) xlab(`xm0'(0.10)`xm1') xtic(`xm0'(0.05)`xm1')"
local xACo1 = "if `yv'_CovNoMit>=`xm0' & `yv'_CovNoMit<=`xm1' `xACo0'"
local xACo2 = "if `yv'_CovMit_TincB>=`xm0' & `yv'_CovMit_TincB<=`xm1' `xACo0'"
local xACo3 = "if `yv'_CovMit_TtaxMPR>=`xm0' & `yv'_CovMit_TtaxMPR<=`xm1' `xACo0'"
local xACo4 = "if `yv'_CovMit_ToTBcf>=`xm0' & `yv'_CovMit_ToTBcf<=`xm1' `xACo0'"
local xACo5 = "if `yv'_CovMit_ToTBcf_pSII_R10>=`xm0' & `yv'_CovMit_ToTBcf_pSII_R10<=`xm1' `xACo0'"
local xACo6 = "if `yv'_CovR10>=`xm0' & `yv'_CovR10<=`xm1' `xACo0'"
local xACo7 = "if `yv'_CovR10only>=`xm0' & `yv'_CovR10only<=`xm1' `xACo0'"
twoway kdensity `yv'_CovMit_TincB `xACo2' || kdensity `yv'_CovMit_ToTBcf `xACo4'  || kdensity `yv'_CovR10only `xACo7' ///
|| kdensity `yv'_CovMit_ToTBcf_pSII_R10 `xACo5' || kdensity `yv'_CovR10 `xACo6' ///
  legend(lab(1 "Income, taxes, MPR, expenses") lab(2 "Debt policies before August") lab(3 "Pension withdrawal") ///
  lab(4 "Debt plus pension withdrawal") lab(5 "All policies") symx(5) symy(2)) note("")   ///
 xtitle("Share of policy support destined to `T`yv''") ytitle("PDF")  
graph export "$path_g1\`yv'_all2`name'.emf", replace
}
use "$path_s1\\Covid_ST_new_outputs.dta", clear
foreach Mit of numlist 0/2 4/7 {  //sum folio_efh if ytoth_M`Mit'<ytoth_M0
local vn = "`vn`Mit''"
rename r_cons_`vn'  r_cons_`Mit'
rename r_cf_`vn' r_cf_`Mit'
rename r_sav_`vn' r_sav_`Mit'
} 
save "$path_s1\\Covid_ST_new_outputs.dta", replace
collapse (mean) r_* [fw=factor_inc], by(quintile_h)
save "$path_s1\\data_temp.dta", replace
use "$path_s1\\Covid_ST_new_outputs.dta", clear
collapse (mean) r_* [fw=factor_inc]
g quintile_h=0
joinby quintile_h using "$path_s1\\data_temp.dta", unmatched(both) update
tab _merge
keep quintile_h r_*
char  _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
reshape long r_cons_ r_cf_ r_sav_, i(quintile_h) j(Mit)
drop if Mit==0
sort Mit quintile_h
label drop _all
save "$path_s1\\data_temp.dta", replace
export excel using "$path_g2\Shares_CDSSav`name'.xls", firstrow(variables) nolabel replace
