//  https://www.google.com/covid19/mobility/
//  https://www.google.com/covid19/mobility/data_documentation.html?hl=en

use "$path_s0\\data\new_data\2020_CL_Region_Mobility_Report.dta", clear //Baseline is the median value, for the corresponding week day, during the 5-week period Jan 3–Feb 6, 2020.
collapse retail_and_recreation_percent_ch-residential_percent_change_from_, by( nom_region nom_provincia date)
save "$path_s0\\data\data_temp.dta", replace
sum
use "$path_s0\\data\new_data\2021_CL_Region_Mobility_Report.dta", clear
collapse retail_and_recreation_percent_ch-residential_percent_change_from_, by( nom_region nom_provincia date)
sum
joinby nom_region nom_provincia date using "$path_s0\\data\data_temp.dta", unmatched(both) update
tab _merge
drop _merge
g year=year(date)
g month=month(date)
g day=day(date)
collapse retail_and_recreation_percent_ch-residential_percent_change_from_, by( nom_region nom_provincia year month)
sum
g date = ym(year, month)
format %tm date
egen id=group(nom_region nom_provincia)
bysort id date: egen nr = count(date)
tab nom_provincia if nr==17
drop if nr>1
drop nr
xtset id date
label var grocery_and_pharmacy_percent "Grocery & pharmacy" //places like grocery markets, food warehouses, farmers markets, specialty food shops, drug stores, and pharmacies.
label var parks_percent_change_from_baseli "Parks"  //places like local parks, national parks, public beaches, marinas, dog parks, plazas, and public gardens.
label var transit_stations_percent_change_ "Transit stations"  //places like public transport hubs such as subway, bus, and train stations.
label var retail_and_recreation_percent_ch "Retail & recreation" // places like restaurants, cafes, shopping centers, theme parks, museums, libraries, and movie theaters.
label var residential_percent_change_from_ "Residential"  //places of residence.
label var workplaces_percent_change_from_b "Workplaces"  //places of work.
save "$path_s0\\data\CL_Mobility_monthly_provinces.dta", replace
tab nom_provincia if nom_region=="Metropolitana de Santiago"
keep if nom_region=="Metropolitana de Santiago" & nom_provincia=="Santiago"
tsset date
label var grocery_and_pharmacy_percent "Grocery & pharmacy" //places like grocery markets, food warehouses, farmers markets, specialty food shops, drug stores, and pharmacies.
label var parks_percent_change_from_baseli "Parks"  //places like local parks, national parks, public beaches, marinas, dog parks, plazas, and public gardens.
label var transit_stations_percent_change_ "Transit stations"  //places like public transport hubs such as subway, bus, and train stations.
label var retail_and_recreation_percent_ch "Retail & recreation" // places like restaurants, cafes, shopping centers, theme parks, museums, libraries, and movie theaters.
label var residential_percent_change_from_ "Residential"  //places of residence.
label var workplaces_percent_change_from_b "Workplaces"  //places of work.
save "$path_s0\\data\CL_Mobility_monthly_Santiago.dta", replace

sum date
*The baseline is the median value, for the corresponding day of the week, during the 5-week period Jan 3–Feb 6, 2020.
tsline retail_and_recreation_percent_ch grocery_and_pharmacy_percent_cha parks_percent_change_from_baseli ///
transit_stations_percent_change_ workplaces_percent_change_from_b residential_percent_change_from_ if date>=721 & date<=737

use "$path_s0\\data\new_data\CUT_2018.dta", clear

use "$path_s0\\data\new_data\Paso a paso.dta", clear  // 0 No quarantine (baseline), 1 Cuarantine (100% Cov), 2 Transition (75% Cov), 3 Preparation (50% Cov), 4 Opening (25% Cov)
g year=year(fecha)
g month=month(fecha)
g day=day(fecha)
collapse fase, by(codigo_region-en_casen year month)
g date = ym(year, month)
egen id=group(codigo_region-en_casen)
xtset id date
collapse fase, by(codigo_region region_residencia codigo_comuna comuna_residencia en_casen year month date)
egen id=group(codigo_region-en_casen)
xtset id date
replace fase=ceil(fase)
compress
save "$path_s0\\data\Phases_monthly.dta", replace
g cod_comuna = codigo_comuna
joinby cod_comuna using "$path_s0\\data\new_data\CUT_2018.dta", unmatched(master) update
tab _merge

use "$path_s0\\data\new_data\Match_EFH_Mobility.dta", clear
compress
g cod_comuna = codigo_comuna
joinby cod_comuna using "$path_s0\\data\new_data\CUT_2018.dta", unmatched(master) update
tab _merge
drop _merge
joinby codigo_comuna using "$path_s0\\data\Phases_monthly.dta", unmatched(master) update
tab _merge
drop _merge
save "$path_s0\\data\new_data\Match_EFH_Mobility_PhasesMonthly.dta", replace  // // nom_region nom_provincia

use "$path_s0\\data\new_data\EFH_17_allvars_comunas.dta", clear
rename folio folio_efh
g year_efh=2017
joinby comuna using "$path_s0\\data\new_data\Match_EFH_Mobility_PhasesMonthly.dta", unmatched(both) update  // Match_EFH_Mobility
tab _merge
drop _merge
compress
save "$path_s0\\data\new_data\EFH_PhasesMonthly.dta", replace
keep if year==2020 & month==7
save "$path_s0\\data\new_data\EFH_PhasesJuly2020.dta", replace

