// Graphs  
local vn7 "CovR10only"        
local vn6 "CovR10"   
local vn2 "CovMit_TincB"   
local vn4 "CovMit_ToTBcf"   
local vn5 "CovMit_ToTBcf_pSII_R10"     
local vn1 "CovMit"     
local vn0 "CovNoMit"  
local GDP = 200512*(1000^3)
local GDP2017 = 179749*(1000^3)
local Tvars1 "LPE_ ln_ytoth_ ln_ytoth_pi_ desem_ desem_h_ IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_"
local Tvars2 "ln_ytoth_M0_ ln_ytoth_pi_M0_ desem_M0_ desem_h_M0_"
local Tvars3 "ln_ytoth_M2_ ln_ytoth_M1_ ln_ytoth_M4_ ln_ytoth_M5_ ln_ytoth_M7_ ln_ytoth_M6_"
local pGc = "pG_Tsum" // "pG_Tsum" "pG_HTM"   // GDP in 2020 = 200.512, GDP in 2020Q2-2021Q1=205.655
local name "_Annual"  //foreach name in "" "_Annual" {    // 31678.7*(1000^3)  - 31.679 Household consumption on 2019-Q4, 121089.0025 in 2020Q2-2021Q1=205.655 (121.089)
// https://www.pauta.cl/economia/fmi-cfa-gasto-fiscal-recesion-pandemia-chile
// https://www.pauta.cl/economia/ingreso-de-emergencia-fue-menor-al-anunciado-en-2020

use "$path_s1\\Covid_ST_new`name'${Phop}.dta", clear  
keep folio_efh year_efh pG_Tsum_* 
save "$path_s1\\data_tempC.dta", replace
use "$path_s1\\Covid_ST_new`name'${Phop}.dta", clear  // Covid_ST_new.dta Now impute consumption based on EPF 2017  // local Scs "CovMit CovNoMit CovR10"
keep folio_efh year_efh
joinby folio_efh year_efh using "$path_gCJE\Covid_policies_monthly.dta", unmatched(both) update
tab _merge
keep if _merge==3
drop _merge 
char _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
reshape long `Tvars1' `Tvars2' `Tvars3', i(folio_efh year_efh) j(YearM) string
foreach Mit of numlist 0/2 4/7 { 
g ytoth_M`Mit' = max(0, exp(ln_ytoth_M`Mit'_) )  
g dif0_M`Mit' = ytoth_M`Mit'-ytoth_M0
}
joinby folio_efh year_efh using "$path_s1\EFH_vars.dta", unmatched(both) update
tab _merge
keep if _merge==3
drop _merge
g year=substr(YearM,1,4)
g month=substr(YearM,-2,.)
replace month = subinstr(month,"m","",1)  // Postergación pago de contribuciones de abril para empresas con ventas inferiores a 350.000 UFy para personas con propiedades 
destring year month, replace force  // con avalúo fiscal inferior a $133 millones      //drop if year>2020
drop if year==.
g MPR_STax = max(0,BmprSTax)+max(0,BImpTE)
replace PolBeg2 = max(0, PolBeg2-MPR_STax)
collapse (sum) dif0* LPE_ ymR10* MPR_STax PolBeg2 IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ (mean) Hr* factor_egm ytoth*, by(folio_efh year_efh quintile_h estrato_h) // Suspensión del pago de IVA en 3 meses
joinby folio_efh year_efh using "$path_s1\\data_tempC.dta", unmatched(both) update
tab _merge
drop _merge
save "$path_s1\\data_temp.dta", replace // g PolBeg2 = max(0,PolBeg)+ max(0,BmprSTax)+max(0,BImpTE) // Medidas de alivio para el tratamiento de deudas tributarias con la Tesorería General de la República 
collapse (sum) dif0* LPE_ ymR10* MPR_STax PolBeg2 Hr* IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ pG_Tsum_* [fw=factor_egm] //g PolBeg = (1/2)*( max(0,BT)+max(0,BContr)+max(0,Bservb) ) // Reducción de impuesto de timbre y estampillas
g RC_GDP_M0 = 12*pG_Tsum_`vn0'/`GDP2017'
foreach Mit of numlist 0/2 4/7 { 
g RC_M`Mit' = 13*(pG_Tsum_`vn`Mit''-pG_Tsum_`vn0')/dif0_M`Mit'
}
foreach Mit of numlist 0/2 4/7 { 
replace dif0_M`Mit' = dif0_M`Mit'/`GDP'
}
foreach var of varlist Hretiro10P Hretiro10P2 Hretiro10P3 LPE_ ymR10 ymR10P2 MPR_STax PolBeg2 IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ {
replace `var'=`var'/`GDP'
}
sum MPR_STax PolBeg2 IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ Hretiro10P Hretiro10P2 Hretiro10P3 ymR10 ymR10P2 LPE_ dif0_M2 dif0_M4 dif0_M7 dif0_M6 dif0_M5
g quintile_h = 0
save "$path_s1\\data_temp0.dta", replace
use "$path_s1\\data_temp.dta", clear
collapse (sum) dif0* LPE_ ymR10* MPR_STax PolBeg2 Hr* IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ pG_Tsum_* [fw=factor_egm], by(quintile_h) 
g RC_GDP_M0 = 12*pG_Tsum_`vn0'/`GDP2017'
foreach Mit of numlist 0/2 4/7 { 
g RC_M`Mit' = 13*(pG_Tsum_`vn`Mit''-pG_Tsum_`vn0')/dif0_M`Mit'
}
foreach Mit of numlist 0/2 4/7 { 
replace dif0_M`Mit' = dif0_M`Mit'/`GDP'
}
foreach var of varlist Hretiro10P Hretiro10P2 Hretiro10P3 LPE_ ymR10 ymR10P2 MPR_STax PolBeg2 IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ {
replace `var'=`var'/`GDP'
}
joinby quintile_h using "$path_s1\\data_temp0.dta", unmatched(both) update
drop _merge dif0_M0 dif0_M1 ymR10 ymR10P2 Hretiro10P3 pG_Tsum_* RC_M0 RC_M1
egen All_Policies = rowtotal(dif0_M2 dif0_M4 Hretiro10P Hretiro10P2)
order quintile_h RC_GDP_M0 MPR_STax PolBeg2 LPE_ IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_ dif0_M2 dif0_M4 Hretiro10P Hretiro10P2 All_Policies, first
rename dif0_M2 Income_Tax_MPR_Expenses
rename dif0_M4 Debt_deferral_policies
rename dif0_M7 Pension_withdrawal
rename dif0_M5 All_Debt_Pension_policies
rename dif0_M6 All_policies
rename RC_M2 RC_Income_Tax_MPR_Expenses
rename RC_M4 RC_Debt_deferral_policies
rename RC_M7 RC_Pension_withdrawal
rename RC_M5 RC_All_Debt_Pension_policies
rename RC_M6 RC_All_policies
drop All_Debt_Pension_policies- All_policies Pension_withdrawal //RC_All_Debt_Pension_policies RC_All_policies
xpose, clear varname
export excel using "$path_g2\Policies_amounts.xls", firstrow(variables) nolabel replace

// Graphs of absolute value of benefits relative to income
use "$path_s1\\data_temp.dta", clear
foreach Mit of numlist 2 4 7 6 { 
g RY_dif0_M`Mit' = dif0_M`Mit'/(13*ytoth_M0)
g Zero_M`Mit' = (dif0_M`Mit'<=0 | dif0_M`Mit'==.)
foreach pq of numlist 25 50 75 { 
g RY`pq'_dif0_M`Mit' = RY_dif0_M`Mit' if RY_dif0_M`Mit'>0
}
}
save "$path_s1\\data_temp.dta", replace

local xACo0 = "[fw=factor_egm], bw(0.0067)"
foreach Mit of numlist 0/2 4/7 { 
local xACo`Mit'  = "if RY_dif0_M`Mit'>0.01 & RY_dif0_M`Mit'<=1.2 [fw=factor_egm], bw(0.0067)"
}
twoway kdensity RY_dif0_M2 `xACo2' || kdensity RY_dif0_M4 `xACo4' || kdensity RY_dif0_M7 `xACo7'  || kdensity RY_dif0_M6 `xACo7' ///
  legend(lab(1 "Income, taxes, MPR, expenses") lab(2 "Debt deferral") lab(3 "Pension withdrawal") lab(4 "All policies") symx(5) symy(2)) note("")   ///
 xtitle("Ratio of benefits relative to income") ytitle("PDF")  
graph export "$path_g1\RY_all2`name'`Phop'.emf", replace

use "$path_s1\\data_temp.dta", clear
collapse (mean) Zero* (p25) RY25* (p50) RY50* (p75) RY75* [fw=factor_egm]
g quintile_h = 0
save "$path_s1\\data_temp0.dta", replace
use "$path_s1\\data_temp.dta", clear
collapse (mean) Zero* (p25) RY25* (p50) RY50* (p75) RY75* [fw=factor_egm], by(quintile_h)
joinby quintile_h using "$path_s1\\data_temp0.dta", unmatched(both) update
drop _merge
order quintile_h *M2 *M4 *M7 *M6, first
save "$path_s1\\data_temp0.dta", replace
export excel using "$path_g2\Percentiles_RY_Benefits.xls", firstrow(variables) nolabel replace
