local vn7 "CovR10only"    
local vn6 "CovR10"  
local vn5 "CovMit_ToTBcf_pSII_R10"  
local vn4 "CovMit_ToTBcf"
local vn2 "CovMit_TincB"
local vn1 "CovMit"     
local vn0 "CovNoMit"
local P0 = 1     // 0 No quarantine (baseline), 1 Cuarantine (100% Cov), 2 Transition (75% Cov), 3 Preparation (50% Cov), 4 Opening (25% Cov)
local P1 = 0
local P2 = 0.25
local P3 = 0.40
local P4 = 0.66  //0.75
use "$path_s1\\Covid_ST_new_Monthly.dta", clear
bysort year month: sum pG_Tsum
use "$path_s1\\Covid_ST_new_Monthly.dta", clear
keep if year==2020 & month==7
save "$path_s1\\Covid_ST_newJuly.dta", replace
use "$path_s1\\Covid_ST_new_Monthly.dta", clear
keep if year==2020 & month==8
save "$path_s1\\Covid_ST_newAugust.dta", replace


use "$path_s1\\Covid_ST_new.dta", clear
joinby folio_efh year_efh using "$path_s0\\data\new_data\EFH_PhasesJuly2020.dta", unmatched(both) update
tab _merge
drop _merge
rename fase phase   //g phase = ceil(5*uniform())-1   //tab phase, g(PhaseD)
g Wreg = .
quietly {
forval p = 0/4 {
replace Wreg = `P`p'' if phase==`p'
}
foreach Mit of numlist 0/2 4/7 {  // `Mit'
replace pG_T_`vn`Mit'' = Wreg*pG_T + (1-Wreg)*pG_T_`vn`Mit''
replace pG_Tsum_`vn`Mit'' = Wreg*pG_Tsum + (1-Wreg)*pG_Tsum_`vn`Mit''

forvalues x = 1/12 { 
replace pG_D`x'_`vn`Mit'' = Wreg*pG_D`x' + (1-Wreg)*pG_D`x'_`vn`Mit''
}
}
}
save "$path_s1\\Covid_ST_newPhases.dta", replace

foreach name in "July" "August" {
use "$path_s1\\Covid_ST_new`name'.dta", clear
joinby folio_efh year_efh year month using "$path_s0\\data\new_data\EFH_PhasesMonthly.dta", unmatched(master) update
tab _merge
drop _merge
rename fase phase   //g phase = ceil(5*uniform())-1   //tab phase, g(PhaseD)
g Wreg = .
quietly {
forval p = 0/4 {
replace Wreg = `P`p'' if phase==`p'
}
foreach Mit of numlist 0/2 4/7 {  // `Mit'
replace pG_T_`vn`Mit'' = Wreg*pG_T + (1-Wreg)*pG_T_`vn`Mit''
replace pG_Tsum_`vn`Mit'' = Wreg*pG_Tsum + (1-Wreg)*pG_Tsum_`vn`Mit''

forvalues x = 1/12 { 
replace pG_D`x'_`vn`Mit'' = Wreg*pG_D`x' + (1-Wreg)*pG_D`x'_`vn`Mit''
}
}
}
collapse factor_all quintile_h ymTotBall ymR10 pCmedia TincB TtaxMPR ToTBcf ytot_p_h cf_* d_* dhip* rci_* yefec edad5y educ_ecf vivprop otp ytoth_original COV_loss ///
pG_T-pG_Tsum pG_T_CovNoMit-pG_HTM_CovR10only, by(folio_efh year_efh)
save "$path_s1\\Covid_ST_new`name'Phases.dta", replace
}
use "$path_s1\\Covid_ST_new_Monthly.dta", clear //joinby folio_efh year_efh using "$path_s0\\data\new_data\EFH_PhasesJuly2020.dta", unmatched(both) update
joinby folio_efh year_efh year month using "$path_s0\\data\new_data\EFH_PhasesMonthly.dta", unmatched(master) update
tab _merge
drop _merge
rename fase phase //g phase = ceil(5*uniform())-1   //tab phase, g(PhaseD)
g Wreg = .
quietly {
forval p = 0/4 {
replace Wreg = `P`p'' if phase==`p'
}
foreach Mit of numlist 0/2 4/7 {  // `Mit'
replace pG_T_`vn`Mit'' = Wreg*pG_T + (1-Wreg)*pG_T_`vn`Mit''
replace pG_Tsum_`vn`Mit'' = Wreg*pG_Tsum + (1-Wreg)*pG_Tsum_`vn`Mit''

forvalues x = 1/12 { 
replace pG_D`x'_`vn`Mit'' = Wreg*pG_D`x' + (1-Wreg)*pG_D`x'_`vn`Mit''
}
}
}
collapse factor_all quintile_h ymTotBall ymR10 pCmedia TincB TtaxMPR ToTBcf ytot_p_h cf_* d_* dhip* rci_* yefec edad5y educ_ecf vivprop otp ytoth_original COV_loss ///
pG_T-pG_Tsum pG_T_CovNoMit-pG_HTM_CovR10only, by(folio_efh year_efh)
compress
save "$path_s1\\Covid_ST_new_AnnualPhases.dta", replace
