// Graphs
local Ypdf = "Probability density function"   // "PDF" "Probability density function"
local yL "0(2)8"
local yT "0(1)8"
local yL_Annual "0(2.5)10"
local yT_Annual "0(1.25)10"
local yLJuly "0(2)8"
local yTJuly "0(1)8"
local yLAugust "0(2)8"
local yTAugust "0(1)8"
local y0L "0(2)5"
local y0T "0(1)5"
local y0L_Annual "0(5)45"
local y0T_Annual "0(2.5)45"
local y0LJuly "0(2)5"
local y0TJuly "0(1)5"
local y0LAugust "0(2)5"
local y0TAugust "0(1)5"
foreach Phop in "" "Phases" {
foreach name in "" "_Annual" "July" "August" {  
use "$path_s1\\Covid_ST_new`name'`Phop'.dta", clear 
foreach vn in "CovNoMit" "CovMit" "CovR10only" "CovR10" "CovMit_TincB" "CovMit_ToTBcf" "CovMit_ToTBcf_pSII_R10" {
g RG_T_`vn'=pG_T_`vn'/pG_T
g RG_Tsum_`vn'=pG_Tsum_`vn'/pG_Tsum
g RG0_Tsum_`vn'=(pG_Tsum_`vn'-pG_Tsum_CovNoMit)/pG_Tsum_CovNoMit  //RG_Tsum_`vn'-RG_Tsum_CovNoMit
forvalues x = 1/12 { 
g RG_D`x'_`vn' = pG_D`x'_`vn'/pG_D`x'
}
}
egen RGmin = rowmin(RG_Tsum_*)
egen RGmax = rowmax(RG_Tsum_*)
local xm0 = 0.80   // 0.75 0.65
local xm1 = 1.10  // 1.15 1.25 1.45
local xACo0 = "[fw=factor_all], bw(0.0067) xlab(`xm0'(0.05)`xm1') xtic(`xm0'(0.025)`xm1') ylab(`yL`name'') ytic(`yT`name'')"
local xACo1 = "if RG_Tsum_CovNoMit>=`xm0' & RG_Tsum_CovNoMit<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo2 = "if RG_Tsum_CovMit_TincB>=`xm0' & RG_Tsum_CovMit_TincB<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo3 = "if RG_Tsum_CovMit_TtaxMPR>=`xm0' & RG_Tsum_CovMit_TtaxMPR<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo4 = "if RG_Tsum_CovMit_ToTBcf>=`xm0' & RG_Tsum_CovMit_ToTBcf<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo5 = "if RG_Tsum_CovMit_ToTBcf_pSII_R10>=`xm0' & RG_Tsum_CovMit_ToTBcf_pSII_R10<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo6 = "if RG_Tsum_CovR10only>=`xm0' & RG_Tsum_CovR10<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local xACo7 = "if RG_Tsum_CovR10>=`xm0' & RG_Tsum_CovR10<=`xm1' `xACo0' ylab(`yL`name'') ytic(`yT`name'')"
local x0m0 = 0   
local x0m1 = 0.15 //0.1625  
local x0 = "[fw=factor_all], bw(0.0057) xlab(`x0m0'(0.025)`x0m1') xtic(`x0m0'(0.0125)`x0m1') ylab(`y0L`name'') ytic(`y0T`name'')"
local x2 = "if RG0_Tsum_CovMit_TincB>=`x0m0' & RG0_Tsum_CovMit_TincB<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"
local x3 = "if RG0_Tsum_CovMit_TtaxMPR>=`x0m0' & RG0_Tsum_CovMit_TtaxMPR<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"
local x4 = "if RG0_Tsum_CovMit_ToTBcf>=`x0m0' & RG0_Tsum_CovMit_ToTBcf<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"
local x5 = "if RG0_Tsum_CovMit_ToTBcf_pSII_R10>=`x0m0' & RG0_Tsum_CovMit_ToTBcf_pSII_R10<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"
local x6 = "if RG0_Tsum_CovR10only>=`x0m0' & RG0_Tsum_CovR10<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"
local x7 = "if RG0_Tsum_CovR10>=`x0m0' & RG0_Tsum_CovR10<=`x0m1' `x0' ylab(`y0L`name'') ytic(`y0T`name'')"

twoway kdensity RG_Tsum_CovNoMit `xACo1'  || kdensity RG_Tsum_CovR10 `xACo7' ///
|| kdensity RG_Tsum_CovMit_TincB `xACo2' || kdensity RG_Tsum_CovMit_ToTBcf_pSII_R10 `xACo5'  ///
  legend(lab(1 "No policies") lab(2 "All policies") lab(3 "Income, taxes and expenses") lab(4 "Debt policies and pension withdrawal")  ) note("")  ytitle("`Ypdf'")  
graph export "$path_g1\RG_No_Mit_all`name'`Phop'.emf", replace

twoway kdensity RG_Tsum_CovNoMit `xACo1' || kdensity RG_Tsum_CovMit_TincB `xACo2' || kdensity RG_Tsum_CovMit_ToTBcf `xACo4' ///
  || kdensity RG_Tsum_CovR10only `xACo6' || kdensity RG_Tsum_CovMit_ToTBcf_pSII_R10 `xACo5' || kdensity RG_Tsum_CovR10 `xACo7' ///
  legend(lab(1 "No policies") lab(2 "Income, taxes, MPR, expenses") lab(3 "Debt deferral") ///    Debt policies before August
  lab(4 "Pension withdrawals") lab(5 "Debt plus pension policies") lab(6 "All policies") symx(5) symy(2)) note("")   ///
 xtitle("Ratio of consumption relative to 2019") ytitle("`Ypdf'")  
graph export "$path_g1\RG_No_Mit_all2`name'`Phop'.emf", replace

twoway kdensity RG0_Tsum_CovMit_TincB `x2' || kdensity RG0_Tsum_CovMit_ToTBcf `x4' ///
  || kdensity RG0_Tsum_CovR10only `x6' || kdensity RG0_Tsum_CovMit_ToTBcf_pSII_R10 `x5' || kdensity RG0_Tsum_CovR10 `x7' ///
  legend(lab(1 "Income, taxes, MPR, expenses") lab(2 "Debt deferral") lab(3 "Pension withdrawals") lab(4 "Debt plus pension policies") ///
  lab(5 "All policies") symx(5) symy(2)) note("")   ///
 xtitle("Consumption growth relative to No Policies scenario") ytitle("`Ypdf'")  
graph export "$path_g1\RG0_all2`name'`Phop'.emf", replace

// Table: Fraction of people decreasing their individual consumption relative to pre-pandemic
use "$path_s1\\Covid_ST_new`name'`Phop'.dta", clear
foreach vn in "CovNoMit" "CovMit_TincB" "CovMit_ToTBcf" "CovR10only" "CovMit_ToTBcf_pSII_R10" "CovR10" "CovMit" {
g `vn'_C1 = (pG_Tsum_`vn'<pG_Tsum)    // LowerC_`vn'   SameC_`vn' HigherC_`vn'
g `vn'_C2 = (pG_Tsum_`vn'==pG_Tsum)     
g `vn'_C3 = (pG_Tsum_`vn'>pG_Tsum)
}
collapse *_C1 *_C2 *_C3 [fw=factor_all]  // LowerC_* SameC_* HigherC_*
g constant=1
char  _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
reshape long CovNoMit_C CovMit_TincB_C CovMit_ToTBcf_C CovR10only_C CovMit_ToTBcf_pSII_R10_C CovR10_C CovMit_C, i(constant) j(C)
drop constant
export excel using "$path_g2\ChangesC_`name'`Phop'.xls", firstrow(variables) nolabel replace

// Table: Aggregate means
use "$path_s1\\Covid_ST_new`name'`Phop'.dta", clear
keep pG_T-pG_Tsum factor_all
collapse (sum) pG* [fw=factor_all]
xpose, clear varname
g D = _n
replace D=D-1  
save "$path_s1\\Covid_ST_tables.dta", replace
foreach vn in "CovNoMit" "CovMit" "CovR10" "CovR10only" "CovMit_TincB" "CovMit_ToTBcf" "CovMit_ToTBcf_pSII_R10" {
use "$path_s1\\Covid_ST_new`name'`Phop'.dta", clear
keep factor_all pG_T_`vn'-pG_Tsum_`vn'
collapse (sum) pG* [fw=factor_all]
xpose, clear varname
g D = _n
replace D=D-1
rename v1 v`vn'
drop _varname
joinby D using "$path_s1\\Covid_ST_tables.dta", unmatched(both) update
tab _merge
drop _merge
replace v`vn'=v`vn'/v1
save "$path_s1\\Covid_ST_tables.dta", replace
}
drop if v1==.
order _varname D v1 *CovNoMit *CovMit_TincB *CovMit_ToTBcf *CovR10only *CovMit_ToTBcf_pSII_R10 *CovR10, first
save "$path_s1\\Covid_ST_tables.dta", replace
export excel using "$path_g2\Covid_ST_AggConsumption`name'`Phop'.xls", firstrow(variables) nolabel replace
}
}
//   //    //

