local Tvars1 "LPE_ ln_ytoth_ ln_ytoth_pi_ desem_ desem_h_ IFE_ Bcm_ Bcm0_ Bcm1_ TotBinc_"
local Tvars2 "ln_ytoth_M0_ ln_ytoth_pi_M0_ desem_M0_ desem_h_M0_"
local Tvars3 "ln_ytoth_M2_ ln_ytoth_M1_ ln_ytoth_M4_ ln_ytoth_M5_ ln_ytoth_M7_ ln_ytoth_M6_"

use "$path_s1\\Covid_ST_new.dta", clear  // Now impute consumption based on EPF 2017  // local Scs "CovMit CovNoMit CovR10"
keep folio_efh year_efh factor_all factor_egm edad5y educ_ecf p05_GASTOT p95_GASTOT p05_GASTO_D* p95_GASTO_D* pG_T-pG_Tsum ln_ytoth ln_ytoth_pi vivprop cyaotp desem desem_h  ///
num_men num_adult num_sen quintile_h ymTotBall ymR10 ymR10P2 pCmedia TincB TtaxMPR ToTBcf ytot_p_h cf_* d_* dhip* rci_* yefec otp ytoth_original COV_loss Hret* ret* PolBeg* ///
estrato_h BT BContr Bservb PolBeg BmprSTax BImpTE
save "$path_s1\\EFH_vars.dta", replace

use "$path_s1\\Covid_ST_new.dta", clear  // Now impute consumption based on EPF 2017  // local Scs "CovMit CovNoMit CovR10"
keep folio_efh year_efh 
joinby folio_efh year_efh using "$path_gCJE\Covid_policies_monthly.dta", unmatched(both) update
tab _merge
drop _merge
char _dta[_mi_marker]
char _dta[_mi_M]
char _dta[_mi_N]
char _dta[_mi_update]
reshape long `Tvars1' `Tvars2' `Tvars3', i(folio_efh year_efh) j(YearM) string
tab YearM
g year=substr(YearM,1,4)
g month=substr(YearM,-2,.)
replace month = subinstr(month,"m","",1)
destring year month, replace force
tab year
tab month
joinby folio_efh year_efh using "$path_s1\EFH_vars.dta", unmatched(both) update
tab _merge
drop _merge
g ln_ytoth0 = ln( ytoth_original ) 
g ln_ytoth2 = ln( ytoth_original-max(0,COV_loss) ) 
drop if ln_ytoth0==.
sum ln_ytoth ln_ytoth0 ln_ytoth2 ln_ytoth_M*_
g dif = max(0, exp(ln_ytoth_M0_)-exp(ln_ytoth2))
foreach Mit of numlist 0/2 4/7 {  
replace ln_ytoth_M`Mit'_ = max(1, ln( exp(ln_ytoth_M`Mit'_) - dif) )
}  
capture drop dif
quietly { // Sectoral composition shocks   //01-12 - Gasto de consumo individual de los hogares
g constant=1
tab edad5y, g(edad_D)
tab educ_ecf, g(educ_ecf_D)
local pcW = 2/5   // 2/5  1/2  // `pcW'
if ${PDop}==-1 {
local CovD1=0.15   //01 - Alimentos y bebidas no alcohólicas
local CovD2=-0.10  //02 - Bebidas alcohólicas, tabaco y narcóticos
local CovD3=-0.30  //03 - Ropa y calzado
local CovD4=0.15   //04 - Vivienda , agua , electricidad , gas y otros combustibles
local CovD5=-0.20  //05 - Mobiliario , equipamiento del hogar y mantenimiento rutinario de los hogares
local CovD6=0.15   //06 - Salud
local CovD7=-0.40 //07 - Transporte
local CovD8=0.00  //08 - Comunicación
local CovD9=-0.30 //09 - Recreación y cultura
local CovD10=-0.35  //10 - Educación
local CovD11=-0.30  //11 - Restaurantes y hoteles
local CovD12=0.20  //12 - Otros bienes y servicios
}
if ${PDop}==0 {
local CovD1=0.10   //01 - Alimentos y bebidas no alcohólicas
local CovD2=-0.10  //02 - Bebidas alcohólicas, tabaco y narcóticos
local CovD3=-0.30  //03 - Ropa y calzado
local CovD4=0.00    //04 - Vivienda , agua , electricidad , gas y otros combustibles
local CovD5=-0.20  //05 - Mobiliario , equipamiento del hogar y mantenimiento rutinario de los hogares
local CovD6=0.05   //06 - Salud
local CovD7=-0.40 //07 - Transporte
local CovD8=0.00  //08 - Comunicación
local CovD9=-0.30 //09 - Recreación y cultura
local CovD10=-0.35  //10 - Educación
local CovD11=-0.30  //11 - Restaurantes y hoteles
local CovD12=-0.20  //12 - Otros bienes y servicios
}
if ${PDop}==1 {
local CovD1=0.00   //01 - Alimentos y bebidas no alcohólicas
local CovD2=-0.10  //02 - Bebidas alcohólicas, tabaco y narcóticos
local CovD3=-0.30  //03 - Ropa y calzado
local CovD4=0.00    //04 - Vivienda , agua , electricidad , gas y otros combustibles
local CovD5=-0.20  //05 - Mobiliario , equipamiento del hogar y mantenimiento rutinario de los hogares
local CovD6=0.00   //06 - Salud
local CovD7=-0.40 //07 - Transporte
local CovD8=0.00  //08 - Comunicación
local CovD9=-0.30 //09 - Recreación y cultura
local CovD10=-0.35  //10 - Educación
local CovD11=-0.30  //11 - Restaurantes y hoteles
local CovD12=-0.20  //12 - Otros bienes y servicios
}
if ${PDop}==2 {
local CovD1=-0.05   //01 - Alimentos y bebidas no alcohólicas
local CovD2=-0.10  //02 - Bebidas alcohólicas, tabaco y narcóticos
local CovD3=-0.35  //03 - Ropa y calzado
local CovD4=-0.05    //04 - Vivienda , agua , electricidad , gas y otros combustibles
local CovD5=-0.25  //05 - Mobiliario , equipamiento del hogar y mantenimiento rutinario de los hogares
local CovD6=-0.05   //06 - Salud
local CovD7=-0.50 //07 - Transporte
local CovD8=0.00  //08 - Comunicación
local CovD9=-0.50 //09 - Recreación y cultura
local CovD10=-0.40  //10 - Educación
local CovD11=-0.50  //11 - Restaurantes y hoteles
local CovD12=-0.30  //12 - Otros bienes y servicios
}

}
foreach Mit of numlist 0/2 4/7 {  //forv Mit=0/8 {
quietly { 
/*if `Mit'==8 {  // Bcf + préstamo SII  + Retiro 10%      
local vn "CovNoR10"     // without Retiro 10%
replace ytoth = ytoth_original-max(0,COV_loss) + ymTotBall + (1/2)*max(0,pCmedia)  //+ymR10
}*/
/*if `Mit'==3 {  
local vn "CovMit_TtaxMPR"
replace ytoth = ytoth_original-max(0,COV_loss) + (1/2)*max(0,TtaxMPR)  
}*/
if `Mit'==7 {  // Bcf + préstamo SII  + Retiro 10%      
local vn "CovR10only"    //replace desem = desem_M0_   replace desem_h = desem_h_M0_  
}
if `Mit'==6 {  // All policies      
local vn "CovR10"    //replace desem = desem_ replace desem_h = desem_h_ 
}
if `Mit'==2 {  // TincB TtaxMPR ToTBcf ToTBcf_2 
local vn "CovMit_TincB"   //replace desem = desem_  replace desem_h = desem_h_ 
}
if `Mit'==4 {   
local vn "CovMit_ToTBcf"   //replace desem = desem_M0_  replace desem_h = desem_h_M0_  
}
if `Mit'==5 { 
local vn "CovMit_ToTBcf_pSII_R10"   //replace desem = desem_M0_  replace desem_h = desem_h_M0_  
}
if `Mit'==1 {  
local vn "CovMit"     //replace desem = desem_ replace desem_h = desem_h_  
}
if `Mit'==0 {  
local vn "CovNoMit"  //replace desem = desem_M0_   replace desem_h = desem_h_M0_  
}   
// replace ln_ytoth_pi = max(0, ln_ytoth_pi_ )  // Benefits do not affect permanent income
replace ln_ytoth = max(0, ln_ytoth_M`Mit'_ )  
local vars1 "ln_ytoth ln_ytoth_pi vivprop cyaotp desem desem_h num_men num_adult num_sen"  // otp in EFH is value
forvalues s = 1/13 { 
local vars1 "`vars1' edad_D`s'"
} 
forvalues s = 1/5 { 
local vars1 "`vars1' educ_ecf_D`s'"
}  
local vars1 "`vars1' constant"
g pG_T_`vn' = 0
matrix define Abc55 = bG
local kmax0=colsof(Abc55)
forv coef_nr=1/`kmax0' {
local coefv = Abc55[1,`coef_nr']
local name_varx = word("`vars1'", `coef_nr')
replace pG_T_`vn' = pG_T_`vn'+`name_varx'*`coefv'
}
replace pG_T_`vn' = exp(pG_T_`vn')
replace pG_T_`vn' = max(p05_GASTOT, min(p95_GASTOT,pG_T_`vn') )
g HTM_`vn' = 0
matrix define Abc55 = bG_htm
local kmax0=colsof(Abc55)
forv coef_nr=1/`kmax0' {
local coefv = Abc55[1,`coef_nr']
local name_varx = word("`vars1'", `coef_nr')
replace HTM_`vn' = HTM_`vn'+`name_varx'*`coefv'
}
replace HTM_`vn' = exp(HTM_`vn')/(1+exp(HTM_`vn')) //replace HTM_`vn' = max(0, min(1, HTM_`vn') ) if HTM_`vn'<.

forvalues x = 1/12 { 
g pG_D`x'_`vn' = 0
matrix define Abc55 = bG`x'
local kmax0=colsof(Abc55)
forv coef_nr=1/`kmax0' {
local coefv = Abc55[1,`coef_nr']
local name_varx = word("`vars1'", `coef_nr')
replace pG_D`x'_`vn' = pG_D`x'_`vn'+`name_varx'*`coefv'
}
replace pG_D`x'_`vn' = exp(pG_D`x'_`vn')
replace pG_D`x'_`vn' = max(p05_GASTO_D`x', min(p95_GASTO_D`x',pG_D`x'_`vn') )
} //capture drop edad_D* educ_ecf_D* constant
}
quietly {  // Sectoral shocks
forvalues x = 1/12 { 
replace pG_D`x'_`vn' = pG_D`x'_`vn'*(1+`CovD`x'')
}
egen pG_Tsum_`vn' = rowtotal(pG_D*_`vn')
g pG0_Tsum_`vn' = pG_Tsum_`vn'
g difC=exp(ln_ytoth)-pG_Tsum_`vn'   // ytoth-pG_Tsum_`vn'
g adjC= max(0.05, (pG_Tsum_`vn'+difC)/pG_Tsum_`vn') if difC<0
replace pG_T_`vn'=pG_T_`vn'*adjC if difC<0
replace pG_Tsum_`vn'=pG_Tsum_`vn'*adjC if difC<0
forvalues x = 1/12 { 
replace pG_D`x'_`vn' = pG_D`x'_`vn'*adjC if difC<0
}
drop difC adjC
g pG_HTM_`vn' = (1-HTM_`vn')*max(pG_Tsum_`vn',pG0_Tsum_`vn',pG_T_`vn') + HTM_`vn'*max(exp(ln_ytoth),pG_Tsum_`vn',pG0_Tsum_`vn',pG_T_`vn')   // max(ytoth,
}
}      //capture drop edad_D* educ_ecf_D* constant
keep factor_all quintile_h ymTotBall ymR10 ymR10P2 pCmedia TincB TtaxMPR ToTBcf ytot_p_h cf_* d_* dhip* rci_* yefec edad5y educ_ecf vivprop otp ytoth_original COV_loss ///
pG_T-pG_Tsum pG_T_CovNoMit-pG_HTM_CovR10only folio_efh year_efh year month
compress
drop if year==.
save "$path_s1\\Covid_ST_new_Monthly.dta", replace
collapse factor_all quintile_h ymTotBall ymR10 ymR10P2 pCmedia TincB TtaxMPR ToTBcf ytot_p_h cf_* d_* dhip* rci_* yefec edad5y educ_ecf vivprop otp ytoth_original COV_loss ///
pG_T-pG_Tsum pG_T_CovNoMit-pG_HTM_CovR10only, by(folio_efh year_efh)
compress
save "$path_s1\\Covid_ST_new_Annual.dta", replace
